Skip to Main Content

Java Database Connectivity (JDBC)

Announcement

For appeals, questions and feedback about Oracle Forums, please email oracle-forums-moderators_us@oracle.com. Please ask technical questions in the appropriate category. Thank you!

Problems with Oracle's Maven Central libraries

3693536Feb 19 2020 — edited May 5 2020

Hi

Sorry if this is the wrong place to post this and if so where should I post this?

Thank you very much for adding the libraries to Maven Central however these libraries aren't working correctly.

The libraries don’t reference the versioned library:

The Class-Path manifest attribute in /app/libs/orai18n-19.3.0.0.jar referenced one or more files that do not exist: file:/app/libs/orai18n-mapping.jar,file:/app/libs/orai18n-utility.jar,file:/app/libs/orai18n-collation.jar,file:/app/libs/orai18n-translation.jar,file:/app/libs/orai18n-net.jar,file:/app/libs/orai18n-servlet.jar,file:/app/libs/orai18n-lcsd.jar,file:/app/libs/orai18n-tools.jar,file:/app/libs/gdk_custom.jar

The Class-Path manifest attribute in /app/libs/ojdbc8–19.3.0.0.jar referenced one or more files that do not exist: file:/app/libs/oraclepki.jar

The Class-Path manifest attribute in /app/libs/oraclepki-19.3.0.0.jar referenced one or more files that do not exist: file:/app/libs/osdt_core.jar,file:/app/libs/osdt_cert.jar,file:/app/oracle.osdt/osdt_core.jar,file:/app/oracle.osdt/osdt_cert.jar

When I tried using ojdbc10-19.3.0.0 it ended up including ojdbc8-19.3.0.0. Aurelije mentioned on your blog post that this was because ucp-19.3.0.0 has a dependency on ojdbc8-19.3.0.0.

Could someone please look into the problems with these libraries?

Comments
Post Details
Added on Feb 19 2020
9 comments
5,595 views